Modifier la bio, l'avatar et la bannière
Modifier la bio, l’avatar et la bannière.
Retour à la référence API
/Twitter Profile Actions Endpoints
POST
/twitter/profileAutorisation API
AuthorizationBearer token · headerrequisJeton Bearer global pour TwexAPI. Inclus sous la forme : Authorization: Bearer <YOUR_TWEXAPI_KEY>.
Corps de la requête
requisapplication/jsoncookiestringrequisIdentifiants de session ou auth_token autorisés de l'utilisateur (BYOC — Bring Your Own Cookie). Exécution proxy sans état avec zéro rétention d'identifiants. Consultez [Sécurité et Authentification](/fr/authentication#write-operations--byoc-bring-your-own-cookie) et [Comment obtenir un Cookie](https://youtube-promotion.pages.dev/how-to-get-twitter-cookie).
namestring | anyNom de l'utilisateur
Afficher les propriétésMasquer les propriétés
Any of:
string
stringany
anywebsitestring | anyWebsite of the user
Afficher les propriétésMasquer les propriétés
Any of:
string
stringany
anydescriptionstring | anyBiographie du profil
Afficher les propriétésMasquer les propriétés
Any of:
string
stringany
anylocationstring | anyLocation of the user
Afficher les propriétésMasquer les propriétés
Any of:
string
stringany
anyprofile_imagestring | anyProfile image of the user
Afficher les propriétésMasquer les propriétés
Any of:
string
stringany
anyprofile_bannerstring | anyProfile banner of the user
Afficher les propriétésMasquer les propriétés
Any of:
string
stringany
anyproxystring | anyThe proxy to use.Please use high-quality residential proxies and avoid free proxies.Required.Example: http://username:password@ip:port . You can get proxy from: https://app.proxy-cheap.com/r/qiMxub
Afficher les propriétésMasquer les propriétés
Any of:
string
stringany
anyRéponses
200Réponse réussie
codeintegerrequisCode d'état HTTP (200 indique le succès)
msgstringrequisMessage de réponse (ex. 'success')
databooleanrequisDonnées principales renvoyées par l'API
422Erreur de validation des paramètres
detailValidationError[]Afficher les propriétésMasquer les propriétés
Array of
ValidationErrorlocstring | integer[]requisAfficher les propriétésMasquer les propriétés
Array of
string | integerAny of:
string
stringinteger
integermsgstringrequisMessage de réponse (ex. 'success')
typestringrequisinputanyctxobject⚡Console interactivePOST
⚡Console interactive / Tester l'APIPOSTLive Console
🌐Serveur cible :
https://api.twexapi.io● Prêt pour la production
✍️
Guide d'identification d'écriture (Clé TwexAPI + Cookie Twitter)
1. Clé TwexAPI (Bearer Token) : À renseigner sous "Autorisation API" ci-dessous pour la facturation et l'authentification.
2. Cookie Twitter : Pour les opérations d'écriture (tweet, like, etc.), renseignez le Cookie Twitter (ex : auth_token=...; ct0=...) dans le champ cookie ci-dessous.
🔑Autorisation API
📝Corps de la requêteapplication/json
📡
暂无响应数据
请在「请求配置」中确认参数后,点击底部的「发送请求」按钮。
Requête
curl -X POST "https://api.twexapi.io/twitter/profile" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"cookie": "string",
"name": "string",
"website": "string",
"description": "string",
"location": "New York, USA",
"profile_image": "https://example.com/image.jpg",
"profile_banner": "https://example.com/banner.jpg",
"proxy": "http://username:password@ip:port"
}'const response = await fetch("https://api.twexapi.io/twitter/profile", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"cookie": "string",
"name": "string",
"website": "string",
"description": "string",
"location": "New York, USA",
"profile_image": "https://example.com/image.jpg",
"profile_banner": "https://example.com/banner.jpg",
"proxy": "http://username:password@ip:port"
})
});import requests
response = requests.post(
"https://api.twexapi.io/twitter/profile",
headers={
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
json={
"cookie": "string",
"name": "string",
"website": "string",
"description": "string",
"location": "New York, USA",
"profile_image": "https://example.com/image.jpg",
"profile_banner": "https://example.com/banner.jpg",
"proxy": "http://username:password@ip:port"
},
)Réponse
{
"code": 200,
"msg": "success",
"data": true
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}